com.independentsoft.exchange

## Class RulePredicateDateRange

- java.lang.Object
- - com.independentsoft.exchange.RulePredicateDateRange

-     public class RulePredicateDateRange
      extends java.lang.Object

  Specifies the date range within which incoming messages have to have been received in order for the condition or exception to apply.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RulePredicateDateRange()` Initializes a new instance of the RulePredicateDateRange class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `geEndDate()` Gets the rule time period and indicates that the rule condition is met before this value.
    `java.util.Date` | `getStartDate()` Gets the rule time period and indicates that the rule condition is met after this value.
    `void` | `setEndDate(java.util.Date endDate)` Sets the rule time period and indicates that the rule condition is met before this value.
    `void` | `setStartDate(java.util.Date startDate)` Gets the rule time period and indicates that the rule condition is met after this value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RulePredicateDateRange

          public RulePredicateDateRange()

      Initializes a new instance of the RulePredicateDateRange class.

  - ### Method Detail

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets the rule time period and indicates that the rule condition is met after this value.
      Returns:
        the start date

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Gets the rule time period and indicates that the rule condition is met after this value.
      Parameters:
        `startDate` - the new start date

    - #### geEndDate

          public java.util.Date geEndDate()

      Gets the rule time period and indicates that the rule condition is met before this value.
      Returns:
        the date

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

      Sets the rule time period and indicates that the rule condition is met before this value.
      Parameters:
        `endDate` - the new end date